var e = require("../../common/vendor.js"),
  n = require("../../hooks/onMounted.js"),
  o = require("../../utils/navigate.js");
require("../../hooks/useState.js"),
  require("../../store/app/index.js"),
  require("../../enums/index.js"),
  require("../../data/index.js"),
  require("../../service/index.js"),
  require("../../utils/request.js"),
  require("../../config/index.js"),
  require("../../constant/index.js"),
  require("../../utils/util.js");
var r = {
    __name: "index",
    setup: function (r) {
      return (
        n.onMounted(function (n) {
          var r = n.loadingTime;
          console.log(
            "当前小程序版本号:".concat(
              e.index.getAccountInfoSync().miniProgram.version
            )
          ),
            console.log("初始化接口请求时间:".concat(r, "毫秒")),
            console.log(
              "闪屏页需要延迟时间:".concat(r > 1e3 ? 0 : 1e3 - r, "毫秒")
            ),
            console.log(
              "闪屏页加载所需时间:".concat(r > 1e3 ? r : 1e3, "毫秒")
            ),
            setTimeout(
              function () {
                o.switchTab({ url: "/pages/home/index" });
              },
              r > 1e3 ? 0 : 1e3 - r
            );
        }, !1),
        function (e, n) {
          return {};
        }
      );
    },
  },
  i = e._export_sfc(r, [["__scopeId", "data-v-367a9f4e"]]);
wx.createPage(i);
